/* Copyright (c) 1997-1999 Miller Puckette.
* For information on usage and redistribution, and for a DISCLAIMER OF ALL
* WARRANTIES, see the file, "LICENSE.txt," in this distribution.

iemlib written by Thomas Musil (c) IEM KUG Graz Austria 2001 */

#ifdef NT
#pragma warning( disable : 4244 )
#pragma warning( disable : 4305 )
#endif

#ifndef  PD_VERSION_MINOR
#define PD_VERSION_MINOR 32
#endif

/*#include "m_imp.h"
#include <math.h>
#include <stdio.h>
#include <string.h>
#include "include/iemlib.h"*/
#include "iem_mp3/sigmp3play.c"

static t_class *iem_mmpp33_class;

static void *iem_mmpp33_new(void)
{
    t_object *x = (t_object *)pd_new(iem_mmpp33_class);
    post("iem_mp3 library loaded!");
    return (x);
}

void iem_mmpp33_setup(void)
{
    iem_mmpp33_class = class_new(gensym("iem_mp3"), iem_mmpp33_new, 0,
    	sizeof(t_object), CLASS_NOINLET, 0);
}

/* ------------------------ setup routine ------------------------- */

void iem_mp3_setup(void)
{
    sigmp3play_setup();
    iem_mmpp33_setup();
}
